; INF File for Direct X3 Installation

[DestinationDirs]
DirectX_CopyFiles=11
DirectX_Uninstall=11
DirectXvmm32_Copy=22 ; vmm32

[SourceDisksNames]
1="Windows 95 DirectX 3 Disk 1",,1
2="Windows 95 DirectX 3 Disk 2",,1

[SourceDisksFiles]
d3drm.dll=2,..\disk2,275968
d3drm16f.dll=2,..\disk2,451072
d3drm24f.dll=2,..\disk2,122368
d3drm32f.dll=2,..\disk2,122368
d3drm8f.dll=2,..\disk2,450048
d3dxof.dll=2,..\disk2,70656
ddhelp.exe=2,..\disk2,32768
ddraw.dll=2,..\disk2,161280
ddraw16.dll=2,..\disk2,23488
dinput.dll=2,..\disk2,37376
dplayx.dll=2,..\disk2,85552
dpmodemx.dll=2,..\disk2,28232
dpwsockx.dll=2,..\disk2,21072
dsound.dll=2,..\disk2,114176
dsound.vxd=2,..\disk2,42943
dxsetup.exe=2,..\disk2,29184
dxsetupj.exe=2,..\disk2,29184
joy.cpl=2,..\disk2,71168
vjoyd.vxd=2,..\disk2,28244
vmcpd.vxd=2,..\disk2,18578
d3dhalf.dll=1,,110080
d3dim.dll=1,,71680
d3drampf.dll=1,,101376
d3drg16f.dll=1,,202240
d3drg24f.dll=1,,146944
d3drg24x.dll=1,,151552
d3drg32f.dll=1,,145920
d3drg32x.dll=1,,150016
d3drg55x.dll=1,,249344
d3drg56x.dll=1,,249344
d3drg8f.dll=1,,201728
d3drg8x.dll=1,,206848
d3drgbf.dll=1,,101888
d3drgbxf.dll=1,,106496
license.txt=1,,1151

[Optional Components]
DirectX 3

[DirectX 3]
OptionDesc=DirectX 3
Tip=%Directx3.Tip.@r%
CopyFiles=DirectX_CopyFiles, DirectXvmm32_Copy
Uninstall=DirectX_Uninstall
AddReg=DirectX_AddReg
DelReg=DirectX_DelReg
Dependency=1
Type=2

[DirectXvmm32_Copy]
vmcpd.vxd

[DirectX_CopyFiles]
ddhelp.exe
ddraw.dll
ddraw16.dll
dplayx.dll
dpwsockx.dll
dsound.dll
dsound.vxd
dpmodemx.dll
dinput.dll
vjoyd.vxd
joy.cpl

; direct 3d
d3drm.dll
d3dim.dll
d3drampf.dll
d3drgbf.dll
d3drm8f.dll
d3drm16f.dll
d3drm24f.dll
d3drm32f.dll
d3drg8f.dll
d3drg16f.dll
d3drg24f.dll
d3drg32f.dll
d3dhalf.dll
d3dxof.dll
d3drgbxf.dll
d3drg8x.dll
d3drg55x.dll
d3drg56x.dll
d3drg24x.dll
d3drg32x.dll

[DirectX_Uninstall]

[DirectX_AddReg]
HKLM,%DP2%\%SP_SERIAL%
HKLM,%DP2%\%SP_SERIAL%,Guid,,{0F1D6860-88D9-11cf-9C4E-00A0C905425E}
HKLM,%DP2%\%SP_SERIAL%,Path,,%11%\dpmodemx.dll
HKLM,%DP2%\%SP_SERIAL%,dwReserved1,1,00,00,00,00
HKLM,%DP2%\%SP_SERIAL%,dwReserved2,1,00,00,00,00
HKLM,%DP2%\%SP_SERIAL%\Address Types\{F2F0CE00-E0AF-11cf-9C4E-00A0C905425E}

HKLM,%DP2%\%SP_MODEM%
HKLM,%DP2%\%SP_MODEM%,Guid,,{44EAA760-CB68-11cf-9C4E-00A0C905425E}
HKLM,%DP2%\%SP_MODEM%,Path,,%11%\dpmodemx.dll
HKLM,%DP2%\%SP_MODEM%,dwReserved1,1,00,00,00,00
HKLM,%DP2%\%SP_MODEM%,dwReserved2,1,00,00,00,00
HKLM,%DP2%\%SP_MODEM%\Address Types\{78EC89A0-E0AF-11cf-9C4E-00A0C905425E}

HKLM,%DP2%\%SP_TCP%
HKLM,%DP2%\%SP_TCP%,Guid,,{36E95EE0-8577-11cf-960C-0080C7534E82}
HKLM,%DP2%\%SP_TCP%,Path,,%11%\dpwsockx.dll
HKLM,%DP2%\%SP_TCP%,dwReserved1,1,F4,01,00,00
HKLM,%DP2%\%SP_TCP%,dwReserved2,1,00,00,00,00
HKLM,%DP2%\%SP_TCP%\Address Types\{C4A54DA0-E0AF-11cf-9C4E-00A0C905425E}

HKLM,%DP2%\%SP_IPX%
HKLM,%DP2%\%SP_IPX%,Guid,,{685BC400-9D2C-11cf-A9CD-00AA006886E3}
HKLM,%DP2%\%SP_IPX%,Path,,%11%\dpwsockx.dll
HKLM,%DP2%\%SP_IPX%,dwReserved1,1,32,00,00,00
HKLM,%DP2%\%SP_IPX%,dwReserved2,1,00,00,00,00

HKCR,CLSID\{25E609E0-B259-11CF-BFC7-444535540000}\,,,Microsoft DirectInput Object
HKCR,CLSID\{25E609E0-B259-11CF-BFC7-444535540000}\InProcServer32,,,%11%\dinput.dll
HKCR,CLSID\{25E609E0-B259-11CF-BFC7-444535540000}\InProcServer32,ThreadingModel,,Both

HKCR,CLSID\{25E609E1-B259-11CF-BFC7-444535540000}\,,,Microsoft DirectInputDevice Object
HKCR,CLSID\{25E609E1-B259-11CF-BFC7-444535540000}\InProcServer32,,,%11%\dinput.dll
HKCR,CLSID\{25E609E1-B259-11CF-BFC7-444535540000}\InProcServer32,ThreadingModel,,Both

HKCR,DirectSound,,,DirectSound Object
HKCR,DirectSound\CLSID,,,{47D4D946-62E8-11cf-93BC-444553540000}
HKCR,CLSID\{47D4D946-62E8-11cf-93BC-444553540000},,,DirectSound Object
HKCR,CLSID\{47D4D946-62E8-11cf-93BC-444553540000}\InprocServer32,,,dsound.dll
HKCR,CLSID\{47D4D946-62E8-11cf-93BC-444553540000}\InprocServer32,ThreadingModel,,Both

HKCR,DirectDraw,,,DirectDraw Object
HKCR,DirectDraw\CLSID,,,{D7B70EE0-4340-11CF-B063-0020AFC2CD35}
HKCR,CLSID\{D7B70EE0-4340-11CF-B063-0020AFC2CD35},,,DirectDraw Object
HKCR,CLSID\{D7B70EE0-4340-11CF-B063-0020AFC2CD35}\InprocServer32,,,ddraw.dll
HKCR,CLSID\{D7B70EE0-4340-11CF-B063-0020AFC2CD35}\InprocServer32,ThreadingModel,,Both

HKCR,DirectDrawClipper,,,DirectDraw Clipper Object
HKCR,DirectDrawClipper\CLSID,,,{593817A0-7DB3-11CF-A2DE-00AA00B93356}
HKCR,CLSID\{593817A0-7DB3-11CF-A2DE-00AA00B93356},,,DirectDraw Clipper Object
HKCR,CLSID\{593817A0-7DB3-11CF-A2DE-00AA00B93356}\InprocServer32,,,ddraw.dll
HKCR,CLSID\{593817A0-7DB3-11CF-A2DE-00AA00B93356}\InprocServer32,ThreadingModel,,Both

HKLM,%D3D%

HKLM,%D3D%\Drivers\Ramp Emulation
HKLM,%D3D%\Drivers\Ramp Emulation,Base,,ramp
HKLM,%D3D%\Drivers\Ramp Emulation,Description,,Microsoft Direct3D Mono(Ramp) Software Emulation
HKLM,%D3D%\Drivers\Ramp Emulation,GUID,1,20,6b,08,f2,9f,25,cf,11,a3,1a,00,aa,00,b9,33,56

HKLM,%D3D%\Drivers\RGB Emulation
HKLM,%D3D%\Drivers\RGB Emulation,Base,,rgb
HKLM,%D3D%\Drivers\RGB Emulation,Description,,Microsoft Direct3D RGB Software Emulation
HKLM,%D3D%\Drivers\RGB Emulation,GUID,1,60,5c,66,a4,73,26,cf,11,a3,1a,00,aa,00,b9,33,56

HKLM,%D3D%\Drivers\Direct3D HAL
HKLM,%D3D%\Drivers\Direct3D HAL,Base,,hal
HKLM,%D3D%\Drivers\Direct3D HAL,Description,,Microsoft Direct3D Hardware acceleration through Direct3D HAL
HKLM,%D3D%\Drivers\Direct3D HAL,GUID,1,e0,3d,e6,84,aa,46,cf,11,81,6f,00,00,c0,20,15,6e

[DirectX_DelReg]
HKLM,Software\Microsoft\Reality Lab\4.0
HKLM,Software\Microsoft\Direct3D\4.0

;----------------------------------------
; User visible strings

[Strings]
D3D="Software\Microsoft\Direct3D"
DP2="Software\Microsoft\DirectPlay\Service Providers"
SP_SERIAL="Serial Connection For DirectPlay"
SP_MODEM="Modem Connection For DirectPlay"
SP_TCP="Internet TCP/IP Connection For DirectPlay"
SP_IPX="IPX Connection For DirectPlay"

Directx3.Tip.eng="Microsoft DirectX 3 Runtime allows you to take full advantage of the multimedia capabilities of your graphics board, e.g. for DirectX games or Direct3D applications." 
Directx3.Tip.ger="Microsoft DirectX 3 Runtime, erm�glicht Ihnen, die Multimedia F�higkeiten Ihrer Grafikkarte zu nutzen. Wird z.B. f�r  DirectX Spiele oder Direct3D Applikationen ben�tigt."
Directx3.Tip.fra="Microsoft DirectX 3 Runtime, vous offre la possibilit� d' utiliser les capacit�s multim�dia de votre carte graphique, par exemple pour les jeux DirectX ou des applications Direct3D."
Directx3.Tip.spa="Microsoft DirectX 3 Runtime, es necesario para utilisar todos los capacidades de esto adaptador gr�fico, por ejemplo para juegos or aplicaci�nes de Direct3D." 
Directx3.Tip.ita="Microsoft DirectX 3 Runtime"
Directx3.Tip.jpn="Microsoft(R) DirectX(TM) 3 ����� �́A���Ȃ������g���� ���̨���ް�� �̐��\���ő���Ɉ����o���ADirectX(TM) �� Direct3D(TM) ���g�p���� �ް� �� ���ع���� �̂��߂ɍō��� �����ި� ����񋟂��܂��B"

